ru.bitel.bgbilling.modules.inet.accounting.recalculate.event

## Class InetRecalculateDayInCurrentMonthEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.inet.accounting.recalculate.event.InetRecalculateBaseEvent
      - - ru.bitel.bgbilling.modules.inet.accounting.recalculate.event.InetRecalculateDayInCurrentMonthEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class InetRecalculateDayInCurrentMonthEvent
      extends InetRecalculateBaseEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetRecalculateDayInCurrentMonthEvent()`
    `InetRecalculateDayInCurrentMonthEvent(int moduleId, java.util.Date month, java.lang.Integer day, int applicationId, int idDivisor, int idRemainder, java.util.Set<java.lang.Integer> cids, int requestIndex)`

  - ### Method Summary

    - ### Methods inherited from class ru.bitel.bgbilling.modules.inet.accounting.recalculate.event.InetRecalculateBaseEvent

      `getApplicationId, getCids, getDay, getIdDivisor, getIdRemainder, getMonth, getRequestIndex, prepareMessage, setDay`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InetRecalculateDayInCurrentMonthEvent

          public InetRecalculateDayInCurrentMonthEvent()

    - #### InetRecalculateDayInCurrentMonthEvent

          public InetRecalculateDayInCurrentMonthEvent(int moduleId,
                                                       java.util.Date month,
                                                       java.lang.Integer day,
                                                       int applicationId,
                                                       int idDivisor,
                                                       int idRemainder,
                                                       java.util.Set<java.lang.Integer> cids,
                                                       int requestIndex)